ApiFuseApiFuse
API Reference

카카오맵 장소 검색

키워드로 카카오맵 등록 장소를 검색합니다.

카카오맵 장소 검색

키워드와 선택적 위치로 카카오맵 장소를 검색해 이름, 좌표, 주소, 카테고리를 반환합니다.

엔드포인트

GET /v1/kakaomap-search

Upstream

  • Base URL: https://app.map.kakao.com
  • Path: /search/place.json

요청 파라미터

파라미터타입필수기본값설명
querystring-검색어
latnumber-위도
lngnumber-경도
radiusinteger-반경(m)
pageinteger-페이지

요청 예시

{
  "query": "강남역 맛집",
  "lat": 37.498095,
  "lng": 127.02761,
  "radius": 1500,
  "page": 1
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "lat": {
            "type": "number"
          },
          "lng": {
            "type": "number"
          },
          "confirm_id": {
            "type": "string"
          },
          "address": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "distance": {
            "type": "number"
          },
          "place_url": {
            "type": "string"
          }
        },
        "required": [
          "name",
          "lat",
          "lng",
          "confirm_id",
          "address",
          "category",
          "place_url"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "items"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "places": [
      {
        "confirmid": "18085497",
        "name": "강남교자 본점",
        "cate_name": "음식점 > 한식 > 국수",
        "address_disp": "서울 강남구 역삼동 820-11",
        "road_address": "서울 강남구 강남대로96길 16",
        "lon": 127.027636,
        "lat": 37.498168,
        "distance": 82,
        "review_count": 120,
        "dp_name": "강남교자 본점"
      },
      {
        "confirmid": "2052938852",
        "name": "또보겠지떡볶이집 강남헬로몽키점",
        "cate_name": "음식점 > 분식",
        "address_disp": "서울 강남구 역삼동 810-14",
        "road_address": "서울 강남구 봉은사로4길 36",
        "lon": 127.026121,
        "lat": 37.497308,
        "distance": 236,
        "review_count": 89,
        "dp_name": "또보겠지떡볶이집 강남헬로몽키점"
      }
    ]
  },
  "pagination": null,
  "meta": {
    "source": "kakaomap-search",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page